Loading...
Searching...
No Matches
caf::config_value_access< std::tuple< Ts... > > Struct Template Reference

Implements automagic unboxing of std::tuple<Ts...> from a heterogeneous config_value::list. More...

`#include <config_value.hpp>`

## Public Types

using | tuple_type = std::tuple<Ts...>

## Static Public Member Functions

static std::string | type_name ()
static bool | is (const config_value &x)
static optional< tuple_type > | get_if (const config_value *x)
static tuple_type | get (const config_value &x)
static config_value::list | convert (const tuple_type &xs)
template<class Nested>
static void | parse_cli (string_parser_state &ps, tuple_type &xs, Nested)

## Detailed Description

template<class... Ts>
struct caf::config_value_access< std::tuple< Ts... > >

Implements automagic unboxing of std::tuple<Ts...> from a heterogeneous config_value::list.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/config_value.hpp